[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#363502: libreadline5: Something is wrong with binding keys to functions

On 19 May 2013 22:18, Vincent Lefevre <vincent@vinc17.net> wrote:
found 363502 5.2+dfsg-2

On 2013-05-19 20:49:43 +0100, Reuben Thomas wrote:
> libreadline5 seems to be used by few programs now, so it's not so
> important. I think it's most important that it be filed against
> libreadline6 and bash. However, since it's likely to be the same bug in
> libreadline5 and libreadline6, and also because it seems logical, maybe it
> should be cloned both to bash and libreadline6? Or assigned to libreadline6
> and cloned to bash and libreadline5?

I've checked that it still occurs with libreadline5 by installing
units from squeeze. I could also reproduce the bug with clisp,
whose unstable version still depends on libreadline5 (but I'm not
sure that it really uses the library, as ldd doesn't list it).

I think that the bug should be cloned twice, and have 2 reassign's
(I don't know which package is best for the original bug number).

I hope you're saying you're going to make the decision, because I'm sure you know the Debian BTS better than I!

I would say the original new bug should be against libreadline6, as a) that's the most important package to fix it in, and b) if it remains open for a long time, it won't risk being accidentally closed if e.g. libreadline5 disappears in the next release.


Reply to: